UI::Util::PIDFile Class Reference

Write and keep pid file during lifetime. More...

`#include <File.hpp>`

Collaboration diagram for UI::Util::PIDFile:

## Public Member Functions

| PIDFile (std::string const &path, pid_t const &pid=Sys::getpgid(0), bool const &keepExisting=true, mode_t const &perms=S_IRUSR|S_IWUSR|S_IRGRP|S_IROTH)

## Static Public Member Functions

static std::string | guess (std::string const &id)
| Guess a pid file (/var/run/id.pid or ~/.id.pid).

## Detailed Description

Write and keep pid file during lifetime.

The documentation for this class was generated from the following files:

- File.hpp
- File.cpp